Create benchmark
curl --request POST \
--url https://app.azalt.co/api/v1/benchmarks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceName": "<string>",
"benchmarkEntries": [
{
"year": 123,
"value": 123
}
],
"indicatorId": "<string>",
"entityId": "<string>",
"sourceDescription": "<string>",
"sourceUrl": "<string>",
"metadata": {}
}
'import requests
url = "https://app.azalt.co/api/v1/benchmarks"
payload = {
"sourceName": "<string>",
"benchmarkEntries": [
{
"year": 123,
"value": 123
}
],
"indicatorId": "<string>",
"entityId": "<string>",
"sourceDescription": "<string>",
"sourceUrl": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceName: '<string>',
benchmarkEntries: [{year: 123, value: 123}],
indicatorId: '<string>',
entityId: '<string>',
sourceDescription: '<string>',
sourceUrl: '<string>',
metadata: {}
})
};
fetch('https://app.azalt.co/api/v1/benchmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"indicatorId": "<string>",
"entityId": "<string>",
"organizationId": "<string>",
"sourceName": "<string>",
"sourceDescription": "<string>",
"sourceUrl": "<string>",
"metadata": {},
"benchmarkEntries": [
{
"year": 123,
"value": 123
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"entity": {
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>",
"url": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Benchmark
Create benchmark
Create a new benchmark for comparison.
Benchmark Structure:
indicatorId: Link to a specific indicator (optional)sourceName: Name of the benchmark source (e.g., company name, industry average)sourceDescription: Additional details about the sourcesourceUrl: Reference URL for the benchmark databenchmarkEntries: Array of year/value pairs for the benchmark datametadata: Custom key-value data for additional information
POST
/
benchmarks
Create benchmark
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

